Bug 245547 - www/py-django-assets: Update to 2.0
Summary: www/py-django-assets: Update to 2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://github.com/miracle2k/django-a...
Keywords:
Depends on: 245546
Blocks: 245309
  Show dependency treegraph
 
Reported: 2020-04-11 22:12 UTC by Kai Knoblich
Modified: 2020-04-14 14:28 UTC (History)
1 user (show)

See Also:
wg: maintainer-feedback+


Attachments
py-django-assets-2.0.patch (1.36 KB, patch)
2020-04-11 22:12 UTC, Kai Knoblich
kai: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2020-04-11 22:12:21 UTC
Created attachment 213305 [details]
py-django-assets-2.0.patch

Hi,

attached is the patch that updates www/py-django-assets to 2.0 and assigns it to Django 2.2 (current LTS release) as Django 1.11 is End-of-Life.

QA:
~~~
- poudriere (11.3-RELEASE amd64 for each py35, py36, py37 and py38 flavor) -> OK
- portlint -> OK
Comment 1 William Grzybowski freebsd_committer 2020-04-13 13:50:54 UTC
Approved, thanks!

Feel free to grab maintainership.
Comment 2 commit-hook freebsd_committer 2020-04-14 14:07:48 UTC
A commit references this bug:

Author: kai
Date: Tue Apr 14 14:07:08 UTC 2020
New revision: 531692
URL: https://svnweb.freebsd.org/changeset/ports/531692

Log:
  www/py-django-assets: Update to 2.0

  * Assign the port to Django 2.2 (current LTS release) as Django 1.11 is
    End-of-Life.

  * Take maintainership.

  Changelog:

  https://github.com/miracle2k/django-assets/blob/2.0/CHANGES

  PR:		245547
  Approved by:	wg (maintainer)

Changes:
  head/www/py-django-assets/Makefile
  head/www/py-django-assets/distinfo
Comment 3 Kai Knoblich freebsd_committer 2020-04-14 14:27:58 UTC
Comment on attachment 213305 [details]
py-django-assets-2.0.patch

^ Triage: Maintainer's approval was given in comment #1, setting flag accordingly.
Comment 4 Kai Knoblich freebsd_committer 2020-04-14 14:28:37 UTC
(In reply to William Grzybowski from comment #1)

Committed, thank you for the approval!